Problema con gd2.rb

HOla!

Estoy intentando instalar una copia de feevy en mi servidor Debian, pero
obtengo este error:

rake db:schema:dump --trace

(in /var/rails/feevy2)
** Invoke db:schema:dump (first_time)
** Invoke environment (first_time)
** Execute environment
rake aborted!
unknown symbol “gdImagePngEx”
/usr/local/lib/ruby/gems/1.8/gems/gd2-1.1.1/lib/gd2.rb:150:in []' /usr/local/lib/ruby/gems/1.8/gems/gd2-1.1.1/lib/gd2.rb:150 /usr/local/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib/active_support/inflector.rb:250:ininject’
/usr/local/lib/ruby/gems/1.8/gems/gd2-1.1.1/lib/gd2.rb:150:in `each’

¿Alguna idea?

2008/8/12 Jesus C. [email protected]:

** Execute environment
rake aborted!
unknown symbol “gdImagePngEx”
/usr/local/lib/ruby/gems/1.8/gems/gd2-1.1.1/lib/gd2.rb:150:in []' /usr/local/lib/ruby/gems/1.8/gems/gd2-1.1.1/lib/gd2.rb:150 /usr/local/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib/active_support/inflector.rb:250:ininject’
/usr/local/lib/ruby/gems/1.8/gems/gd2-1.1.1/lib/gd2.rb:150:in `each’

Yo probaría de instalar el gd de los repositorios del Debin

apt-get install libgd-ruby

Si no me equivoco.
Silvio

Silvio Q. wrote:

2008/8/12 Jesus C. [email protected]:

** Execute environment
rake aborted!
unknown symbol “gdImagePngEx”
/usr/local/lib/ruby/gems/1.8/gems/gd2-1.1.1/lib/gd2.rb:150:in []' /usr/local/lib/ruby/gems/1.8/gems/gd2-1.1.1/lib/gd2.rb:150 /usr/local/lib/ruby/gems/1.8/gems/activesupport-1.4.2/lib/active_support/inflector.rb:250:ininject’
/usr/local/lib/ruby/gems/1.8/gems/gd2-1.1.1/lib/gd2.rb:150:in `each’

Yo probar�a de instalar el gd de los repositorios del Debin

apt-get install libgd-ruby

Si no me equivoco.
Silvio

Hola! Sí, ya tengo instalado ese paquete, pero parece que falta un
archivo,libgd.2.dylib, que no lo encuentra…

2008/8/13 Jesus C. [email protected]:



Si no me equivoco, los “dylib” son para Mac.

No conozco feevy. Probé gem install gd2 en mi Ubuntu y anduvo perfecto
(El ejemplo de la página de rubyforge caminó de primera).

¿Qué es lo que hiciste para instalarlo?

Saludos, Silvio

El día 13 de agosto de 2008 7:50, Jesus C.
[email protected]
escribió:>>

Muchas gracias por tus respuestas. Un saludo,

Jesús.

Publicá un HOWTO!!!

Silvio Q. wrote:

2008/8/13 Jesus C. [email protected]:



Si no me equivoco, los “dylib” son para Mac.

No conozco feevy. Probé gem install gd2 en mi Ubuntu y anduvo perfecto
(El ejemplo de la página de rubyforge caminó de primera).

¿Qué es lo que hiciste para instalarlo?

Saludos, Silvio

Hola Silvio,

ya he solucionado el problema. Anteriormente instalé gd2 con apt-get
install… pero debe ser que no había instalado alguna biblioteca
necesaria.

He descargado los fuentes de gd2, zlib, freetype2, jpeg-6b y libpng, los
he compilado e instalado y todo ha ido perfecto.

Muchas gracias por tus respuestas. Un saludo,

Jesús.

Silvio Q. wrote:

El d�a 13 de agosto de 2008 7:50, Jesus C.
[email protected]
escribi�:>>

Muchas gracias por tus respuestas. Un saludo,

Jes�s.

Public� un HOWTO!!!

Como decía, simplemente he descargado los fuentes de gd2, zlib,
freetype2, jpeg-6b y libpng de sus sitios oficiales.

He creado una carpeta gd2 donde he descomprimido todos los tarball y he
ido compilando e instalando todos ellos con:

./configure; make; make install

Terminando de instalar gd2 en último lugar.

Saludos!

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs